Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
PUCH

Lệnh ẩn đối tượng

Các bài được khuyến nghị

transu    19
hi !!! :cheers:

Mình có dc bit về lểnh ẩn đối tượng

XIn hỏi có ai bit chỉ mình với

Thanksss!!!!!!

bác đang hỏi vể lệnh ẩn và hiện các layẻ áh?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
transu    19
hi !!! :cheers:

Mình có dc bit về lểnh ẩn đối tượng

XIn hỏi có ai bit chỉ mình với

Thanksss!!!!!!

layiso chỉ hiện layer chọn

layoff tắt layer chọn

layon hiện tất cả các layer

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
PUCH    1
bác đang hỏi vể lệnh ẩn và hiện các layẻ áh?

hok pải

mà là lệnh làm ẩn một đối tượng . trong đó có chứa nhìu đối tượng nhỏ thuộc các layer khác nhau

vì mình có đọc trang tin của cadviet, nên bit về lệnh ẩn đối tượgn này

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
leolas    133
hok pải

mà là lệnh làm ẩn một đối tượng . trong đó có chứa nhìu đối tượng nhỏ thuộc các layer khác nhau

vì mình có đọc trang tin của cadviet, nên bit về lệnh ẩn đối tượgn này

Lệnh INVIS & VIS. Nếu bạn không tìm thấy (hoặc không có thời gian tìm) trên diễn đàn, xin mời mua cho mình một "Ấn phẩm CadViet". Địa chỉ mua xin xem trên đầu trang

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Phiphi-    175

Lệnh INVIS & VIS.

;; ============================================================	;;
;;                                                              ;;
;;  INVIS.LSP - Makes objects temporarily invisible and  	;;
;;	        returns visibility.		 		;;
;;                                                          	;;
;; ============================================================	;;
;;                                                            	;;
;;  Command(s) to call: INVIS                         		;;
;;                                                            	;;
;; ============================================================	;;
;;                                                             	;;
;;  THIS PROGRAM AND PARTS OF IT MAY REPRODUCED BY ANY METHOD	;;
;;  ON ANY MEDIUM FOR ANY REASON. YOU CAN USE OR MODIFY THIS	;;
;;  PROGRAM OR PARTS OF IT ABSOLUTELY FREE.                 	;;
;;                                                              ;;
;;  THIS PROGRAM PROVIDES THIS PROGRAM 'AS IS' WITH ALL FAULTS	;;
;;  AND SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF		;;
;;  MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.            ;;
;;                                                            	;;
;; ============================================================	;;
;;                                                              ;;
;;  V1.1, 11th Apr 2005, Riga, Latvia                   	;;
;;  © Aleksandr Smirnov (ASMI)                          	;;
;;  For AutoCAD 2000 - 2008 (isn't tested in a next versions)	;;
;;                                                              ;;
;;                             [url="http://www.asmitools.com"]http://www.asmitools.com[/url]   	;;
;;                                                            	;;
;; ============================================================ ;;

(defun c:invis(/ errCount wMode objSet actDoc *error*)

 (vl-load-com)

 (defun put_Visible_Prop(Object Flag)
   (if
     (vl-catch-all-error-p
(vl-catch-all-apply
  'vla-put-visible (list Object Flag)))
         (setq errCount(1+ errCount))
   ); end if
 (princ)
 ); end of put_Visible_Prop

 (defun Set_to_List(SelSet)
   (mapcar 'vlax-ename->vla-object
                   (vl-remove-if 'listp
                    (mapcar 'cadr(ssnamex SelSet))))
 ); end of Set_to_List

 (defun errMsg()
   (if(/= 0 errCount)
 (princ(strcat ", " (itoa errCount)
	" were on locked layer."))
     "."
 ); end if
   ); end of errMsg

(setq actDoc(vla-get-ActiveDocument
      (vlax-get-Acad-object))
     errCount 0); end setq
 (vla-StartUndoMark actDoc)
(initget "Visible Invisible" 1)
 (setq wMode
   (getkword "\nMake objects [Visible/Invisible]: "))
 (if(and
      (= wMode "Visible")
      (setq objSet(ssget "_X" '((60 . 1))))
      ); end and
   (progn
     (setq objSet(Set_to_List objSet))
  (mapcar
   '(lambda(x)(put_Visible_Prop x :vlax-true))objSet)
   (princ
     (strcat "\n<< "
      (itoa(-(length objSet)errCount))
	   " now visible" (errMsg) " >>"))
     ); end progn
   (progn
     (if(not(setq objSet(ssget "_I")))
(setq objSet(ssget))
); end if
     (if objSet
(progn
  (setq objSet(Set_to_List objSet))
 (mapcar
   '(lambda(x)(put_Visible_Prop x :vlax-false))objSet)
   (princ
     (strcat "\n<< "
      (itoa(-(length objSet)errCount))
	   " now invisible" (errMsg) " >>"))
  ; end if
 ); end progn
); end if
      ); end progn
     ); end if
 (vla-EndUndoMark actDoc)
(princ)
); end of c:invis

(princ "\n*** Type INVIS to make objects invisible/visible. *** ")

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cadviet244    157
hok pải

mà là lệnh làm ẩn một đối tượng . trong đó có chứa nhìu đối tượng nhỏ thuộc các layer khác nhau

vì mình có đọc trang tin của cadviet, nên bit về lệnh ẩn đối tượgn này

pác thử dùng lệnh Wepiout thử xem

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
loiphong    0
pác thử dùng lệnh Wepiout thử xem

Lệnh này đã được nói đến rất nhiều trên diễn đàn ở mục: Lisp theo yêu cầu, nếu tìm bạn sẽ dễ dàng thấy thôi. Hoặc bạn vò mục Download trên đầu trang tim là thấy thôi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
PUCH    1
Lệnh INVIS & VIS.

;; ============================================================	;;
;;                                                              ;;
;;  INVIS.LSP - Makes objects temporarily invisible and  	;;
;;	        returns visibility.		 		;;
;;                                                          	;;
;; ============================================================	;;
;;                                                            	;;
;;  Command(s) to call: INVIS                         		;;
;;                                                            	;;
;; ============================================================	;;
;;                                                             	;;
;;  THIS PROGRAM AND PARTS OF IT MAY REPRODUCED BY ANY METHOD	;;
;;  ON ANY MEDIUM FOR ANY REASON. YOU CAN USE OR MODIFY THIS	;;
;;  PROGRAM OR PARTS OF IT ABSOLUTELY FREE.                 	;;
;;                                                              ;;
;;  THIS PROGRAM PROVIDES THIS PROGRAM 'AS IS' WITH ALL FAULTS	;;
;;  AND SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF		;;
;;  MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.            ;;
;;                                                            	;;
;; ============================================================	;;
;;                                                              ;;
;;  V1.1, 11th Apr 2005, Riga, Latvia                   	;;
;;  © Aleksandr Smirnov (ASMI)                          	;;
;;  For AutoCAD 2000 - 2008 (isn't tested in a next versions)	;;
;;                                                              ;;
;;                             [url="http://www.asmitools.com"]http://www.asmitools.com[/url]   	;;
;;                                                            	;;
;; ============================================================ ;;

(defun c:invis(/ errCount wMode objSet actDoc *error*)

 (vl-load-com)

 (defun put_Visible_Prop(Object Flag)
   (if
     (vl-catch-all-error-p
(vl-catch-all-apply
  'vla-put-visible (list Object Flag)))
         (setq errCount(1+ errCount))
   ); end if
 (princ)
 ); end of put_Visible_Prop

 (defun Set_to_List(SelSet)
   (mapcar 'vlax-ename->vla-object
                   (vl-remove-if 'listp
                    (mapcar 'cadr(ssnamex SelSet))))
 ); end of Set_to_List

 (defun errMsg()
   (if(/= 0 errCount)
 (princ(strcat ", " (itoa errCount)
	" were on locked layer."))
     "."
 ); end if
   ); end of errMsg

(setq actDoc(vla-get-ActiveDocument
      (vlax-get-Acad-object))
     errCount 0); end setq
 (vla-StartUndoMark actDoc)
(initget "Visible Invisible" 1)
 (setq wMode
   (getkword "\nMake objects [Visible/Invisible]: "))
 (if(and
      (= wMode "Visible")
      (setq objSet(ssget "_X" '((60 . 1))))
      ); end and
   (progn
     (setq objSet(Set_to_List objSet))
  (mapcar
   '(lambda(x)(put_Visible_Prop x :vlax-true))objSet)
   (princ
     (strcat "\n<< "
      (itoa(-(length objSet)errCount))
	   " now visible" (errMsg) " >>"))
     ); end progn
   (progn
     (if(not(setq objSet(ssget "_I")))
(setq objSet(ssget))
); end if
     (if objSet
(progn
  (setq objSet(Set_to_List objSet))
 (mapcar
   '(lambda(x)(put_Visible_Prop x :vlax-false))objSet)
   (princ
     (strcat "\n<< "
      (itoa(-(length objSet)errCount))
	   " now invisible" (errMsg) " >>"))
  ; end if
 ); end progn
); end if
      ); end progn
     ); end if
 (vla-EndUndoMark actDoc)
(princ)
); end of c:invis

(princ "\n*** Type INVIS to make objects invisible/visible. *** ")

Hi!

Thanks U bạn nhìu, lâu ni hok để í

:cheers:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
thangvukt    2

hi !!! cheers.gif

Mình có dc bit về lểnh ẩn đối tượng

XIn hỏi có ai bit chỉ mình với

Thanksss!!!!!!

Ngoai lisp trên ra còn có lệnh hideobject nua. Chỉ cần chọn đối tượng và sử dụng lệnh này thì đối tượng đó sẽ bị ẩn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×